package com.tanpu.community.api.beans.req.page;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
@ApiModel(value = "分页")
public class Pageable {

    public static final Integer DEFAULT_PAGE_SIZE = 20;

    public static final Integer DEFAULT_PAGE_NUMBER = 1;

    @ApiModelProperty(value = "页码")
    public Integer pageNumber = DEFAULT_PAGE_NUMBER;

    @ApiModelProperty(value = "页幅")
    public Integer pageSize = DEFAULT_PAGE_SIZE;

    public Pageable() {
    }

    public Pageable(Integer pageNumber, Integer pageSize) {
        this.pageNumber = pageNumber;
        this.pageSize = pageSize;
    }
}
